<cfparam name="attributes.URL" type="string" />
<cfparam name="attributes.result" type="string" />

<cfparam name="attributes.ProxyServer" type="string" default="" />
<cfparam name="attributes.ProxyPort" type="numeric" default="80" />
<cfparam name="attributes.ProxyUsername" type="string" default="" />
<cfparam name="attributes.ProxyPassword" type="string" default="" />
<cfparam name="attributes.ProxyAuthDomain" type="string" default="" />

<cfparam name="attributes.Username" type="string" default="" />
<cfparam name="attributes.Password" type="string" default="" />
<cfparam name="attributes.AuthDomain" type="string" default="" />

<cfif ThisTag.ExecutionMode EQ "start">
	
	<cfset objWrapper = createObject(
			"DotNet",
			"DotNetHttp.WebClientWrapper",
			GetDirectoryFromPath(GetCurrentTemplatePath()) & "DotNetHttp.dll"
		) />
	
	<cfif len(attributes.ProxyServer)>
		<cfset objWrapper.SetProxy(
				attributes.ProxyServer,
				attributes.ProxyPort
			) />
	</cfif>
	
	<cfif len(attributes.ProxyUsername)>
		<cfset objWrapper.SetProxyCredentials(
				attributes.ProxyUsername,
				attributes.ProxyPassword,
				attributes.ProxyAuthDomain
			) />
	</cfif>
	
	<cfif len(attributes.Username)>
		<cfset objWrapper.SetCredentials(
				attributes.Username,
				attributes.Password,
				attributes.AuthDomain
			) />
	</cfif>
	
	<cfset objResponse = objWrapper.GetResponse(attributes.URL) />
	
	<cfset CALLER[attributes.result] = objWrapper.GetResponseData(objResponse) />
	
</cfif>